#include "mainwindow.hpp"

#include <QDir>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    playing(false),
    timer(new QTimer(this)),
    videoWidget(NULL)
{
    setGeometry(100, 100, 500, 500);
    connect(timer, SIGNAL(timeout()), this, SLOT(onTimeout()));
    timer->setInterval(5000);
}

void MainWindow::showEvent(QShowEvent *event)
{
    QMainWindow::showEvent(event);
    timer->start();
    onTimeout();
}

void MainWindow::onTimeout()
{
    if (playing)
    {
        delete videoWidget;
        playing = false;
    }
    else
    {
        videoWidget = new VideoWidget(this);
        videoWidget->setGeometry(10, 10, 300, 300);
        videoWidget->show();
        QString path = QDir::currentPath() + "/../vlctest/289.wmv";
        videoWidget->play(path);
        playing = true;
    }
}
