#ifndef VIDEOWIDGET_HPP
#define VIDEOWIDGET_HPP

#include <QWidget>
#include <vlc/vlc.h>

#if defined(Q_WS_MAC)
#include <QMacCocoaViewContainer>
#endif

#if defined(Q_WS_MAC)
class VideoWidget : public QMacCocoaViewContainer
#else
class VideoWidget : public QWidget
#endif
{
    Q_OBJECT

public:
    explicit VideoWidget(QWidget *parent = 0);
    ~VideoWidget();

signals:
    void finished();

public slots:
    void play(const QString &url);
    void stop();

private:
    static void finishedCallback(const struct libvlc_event_t *event, void *obj);
#if defined(Q_WS_MAC)
    void createCocoaView();
#endif

    void setScaleMode();
    void setAspectRatio();
    void registerFinishedCallback();
    void unregisterFinishedCallback();
    void emitFinished();

    libvlc_instance_t *m_instance;
    libvlc_media_player_t *m_mediaPlayer;
};
#endif // VIDEOWIDGET_HPP
